import java.awt.*;
import java.awt.event.*;


/**
 * Erzeugt des Men.
 * Das Men enthlt folgende Punkte:
 *  -) eine neue Rechnung eingeben.
 *  -) eine Rechnung verndern.
 *  -) eine Rechnung lschen.
 *
 *  -) das Programm beenden.
 */
class Menue extends MenuBar {
    private Menu menuRechnung;
   
    /**
     * Konstruktor.
     * Hier wird das Men initialisiert.
     */
    public Menue(ActionListener listener){
	menuRechnung = new Menu ("Bearbeiten");
	addMenuItem(menuRechnung,"Rechnung Eingeben",listener);
	addMenuItem(menuRechnung,"Rechnung ndern",listener);
	addMenuItem(menuRechnung,"Rechnung Lschen",listener);
	menuRechnung.addSeparator();
	addMenuItem(menuRechnung,"Beenden",listener);   
	add(menuRechnung);
	}
   
    
    /**
     * Methode addMenuItem.
     * Reagiert auf Menauswahlen.
     */ 
    void addMenuItem(Menu m, String name, ActionListener l) {
	MenuItem mi;
	mi = new MenuItem(name);
	mi.setActionCommand(name);
	mi.addActionListener(l);
	m.add(mi);
	}
   }